For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
  • ElevenAPI
      • POSTCreate audio native project
      • GETGet Audio Native Project Settings
      • POSTUpdate audio native project
      • POSTUpdate Audio-Native Content From Url
  • ElevenCreative
  • Core Resources
  • Workspace
  • Legacy
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
ElevenAPIAudio Native

Update audio native project

POST
/v1/audio-native/:project_id/content
POST
/v1/audio-native/:project_id/content
$curl -X POST https://api.elevenlabs.io/v1/audio-native/project_id/content \
> -H "Content-Type: multipart/form-data" \
> -F file=@<file1>
1{
2 "project_id": "JBFqnCBsd6RMkjVDRZzb",
3 "converting": false,
4 "publishing": false,
5 "html_snippet": "<div id='audio-native-player'></div>"
6}
Updates content for the specific AudioNative Project.
Was this page helpful?
Previous

Update Audio-Native Content From Url

Next
Built with

Path parameters

project_idstringRequired

The ID of the project to be used. You can use the List projects endpoint to list all the available projects.

Headers

xi-api-keystringOptional

Request

This endpoint expects a multipart form containing an optional file.
filefileOptional

Either txt or HTML input file containing the article content. HTML should be formatted as follows ‘<html><body><div><p>Your content</p><h5>More of your content</h5><p>Some more of your content</p></div></body></html>’

auto_convertbooleanOptionalDefaults to false
Whether to auto convert the project to audio or not.
auto_publishbooleanOptionalDefaults to false
Whether to auto publish the new project snapshot after it's converted.

Response

Successful Response
project_idstring
The ID of the project.
convertingboolean
Whether the project is currently being converted.
publishingboolean
Whether the project is currently being published.
html_snippetstring
The HTML snippet to embed the Audio Native player.

Errors

422
Unprocessable Entity Error